"use strict";

exports.__esModule = true;
const command = exports.command = {
  name: 'editorCloseAndSave',
  callback(hot, event, keys) {
    const editorManager = hot._getEditorManager();
    editorManager.closeEditorAndSaveChanges(hot.getShortcutManager().isCtrlPressed());
    editorManager.moveSelectionAfterEnter(keys.includes('shift'));
  }
};